# --------------------------------------------------------
#
# Table structure for table `guestbook`
#

DROP TABLE IF EXISTS guestbook;
CREATE TABLE guestbook (
  guestbookid int(11) unsigned NOT NULL auto_increment,
  publishdate datetime default NULL,
  contactname varchar(255) default NULL,
  contactemail varchar(255) default NULL,
  web_page varchar(255) default NULL,
  comment text,
  activeentry char(1) default NULL,
  authorid int(11) default NULL,
  catid varchar(16) default NULL,
  PRIMARY KEY  (guestbookid)
) TYPE=MyISAM;


# --------------------------------------------------------
#
# Table structure for table `guestbookcategories`
#

DROP TABLE IF EXISTS guestbookcategories;
CREATE TABLE guestbookcategories (
  catid int(11) unsigned NOT NULL auto_increment,
  catname varchar(32) NOT NULL default '',
  catref varchar(32) default NULL,
  hiddencat char(1) default '0',
  PRIMARY KEY  (catid)
) TYPE=MyISAM;


# --------------------------------------------------------
#
# Data for table `modules`
#
INSERT INTO modules (modulename, extin, moduledirectory, modulescript, modulesubmit) VALUES ('Guestbook', 'E', 'guestbook', 'showguestbook.php', 'Y');


# --------------------------------------------------------
#
# Data for table `modulesettings`
#
INSERT INTO modulesettings (modulename, settingname, settingvalue) VALUES ('guestbook', 'version', '2.0.0');
INSERT INTO modulesettings (modulename, settingname, settingvalue) VALUES ('guestbook', 'author', 'The ezContents Development Team');


# --------------------------------------------------------
#
# Data for table `specialcontents`
#
INSERT INTO specialcontents (scname, sctitle, scdb, screg, scvalid, stextdisplay, stext, sgraphicdisplay, sgraphic, usergroups, scuseprefix, scusecategories, orderby, showpostedby, showposteddate, perpage) VALUES ('guestbook', 'Guestbook', 'guestbook', '', '', 'Y', '', 'Y', '', '', 'N', '', 'D', 'Y', 'Y', 6);
